Description

Puppetserver 7.0 adopted opt-out telemetry, meaning telemetry is sent by default. The installer does have an option to disable it.

Foreman traditionally has had a policy where no telemetry was sent by default (though the RSS feed could be considered that since

it sends the Foreman version number). Disabling the telemetry would bring align Puppetserver to this policy.

See https://puppet.com/docs/puppet/7/server/puppet_server_usage_telemetry.html as well.

Associated revisions

Revision 95788e3e - 02/21/2023 12:11 PM - Ewoud Kohl van Wijngaarden

Fixes #35728 - Disable telemetry by default

Puppetserver 7.0 adopted opt-out telemetry

1

, meaning telemetry is sent

by default. Foreman traditionally has had a policy where no telemetry

was sent by default. Disabling the telemetry would bring align

Puppetserver to this policy.

It uses Optional[Boolean] so the Foreman installer can explicitly record

the users answer if they choose anything, where undef means whatever

the module thinks is best.

[1]: https://puppet.com/docs/puppet/7/server/puppet_server_usage_telemetry.html

History

#1 - 11/07/2022 05:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-puppet/pull/851 added

#2 - 02/21/2023 02:51 PM - The Foreman Bot

- Fixed in Releases 3.6.0 added

#3 - 02/21/2023 03:00 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-puppet|95788e3eba0187ae5df956a16f2bfc03fd3e1aa7.

#4 - 02/21/2023 07:42 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/832 added
https://puppet.com/docs/puppet/7/server/puppet_server_usage_telemetry.html
https://puppet.com/docs/puppet/7/server/puppet_server_usage_telemetry.html
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-puppet/revisions/95788e3eba0187ae5df956a16f2bfc03fd3e1aa7


#5 - 02/21/2023 08:30 PM - The Foreman Bot

- Fixed in Releases 3.5.2 added

#6 - 02/28/2023 03:00 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes

#7 - 03/12/2023 01:51 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/838 added
